Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 460351 - Create new custom field 'PM Score' for use by product management
Summary: Create new custom field 'PM Score' for use by product management
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: 3.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-27 18:12 UTC by David Lawrence
Modified: 2017-09-30 04:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-28 15:55:47 UTC


Attachments (Terms of Use)
Patch to add cf_pm_score as a new Red Hat field (v1) (3.28 KB, patch)
2008-08-27 18:12 UTC, David Lawrence
dkl: review? (nelhawar)
Details | Diff
Test perl script to update the new pm score field (1.20 KB, text/plain)
2008-08-27 18:21 UTC, David Lawrence
no flags Details

Description David Lawrence 2008-08-27 18:12:05 UTC
Created attachment 315128 [details]
Patch to add cf_pm_score as a new Red Hat field (v1)

> [riek@redhat.com - Wed Aug 20 20:08:32 2008]:
> > If Dave can add a custom field cf_pm_score (following the bugzilla
> > naming convention) to bugzilla, I can update the ACK Viewer to
> display
> > it, and allow to sort by it.
> >
> Dave, please limit write access to the RHEL PM groups if possible.
>
> Visibility should be limited to Red Hat employees.

Ok, so as I understand it here is what I will do on Bugzilla side:

1. Create new custom field called PM Score (cf_pm_score).
2. Make the field only visible by Red Hat internal.
3. Make the field only editable by Product Management.
4. Field will be of freetext type.

Assumptions:

1. Value will be calculated outside of Bugzilla and the value updated
either by XMLRPC calls or through the standard UI form.
2. Bernd will be able to access this field from the db connection and
sort on it inside the ack viewer.

Comment 1 David Lawrence 2008-08-27 18:19:05 UTC
Attached a patch to add filtering for the new cf_pm_score field to be added by the web UI once this update is in place.

Also tested that the field can be set by using Bug.update() XMLRPC call.

Daniel, I am also going to attach a test perl script that you can use in your scripts for updating the field over XMLRPC.

Noura, please review the patch if you can. I would like to push this tomorrow with the normal Thursday update.

Dave

Comment 2 David Lawrence 2008-08-27 18:21:33 UTC
Created attachment 315129 [details]
Test perl script to update the new pm score field

perl updateBug_xmlrpc.pl <username> <password> <bugid> <pmscore>

Comment 3 David Lawrence 2008-08-28 15:55:47 UTC
Will be available later today when the update is pushed to the live servers.


Note You need to log in before you can comment on or make changes to this bug.